Summary: OpenBSD IKE-Daemon for Linux Kernel 2.6
Name: isakmpd
Version: 20031207
Release: test11_1
License: BSD
Group: System Environment/Base
URL: http://bender.thinknerd.de/~thomas/IPsec/isakmpd-linux.html
Source: %{name}-%{version}.tar.gz
Source1: x509v3.cnf
Patch1: isakmpd-patch
Patch2: keyconv-patch
Patch3: isakmpd-aes.patch
Requires: kernel >= 2.6.0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%define kernel /disk2/usermode/compile/uml-2.6.0-test11/linux-2.6.0-test11/include/
%description
This is isakmpd, a BSD-licensed ISAKMP/Oakley (a.k.a. IKE)
implementation.  It's written by Niklas Hallqvist and Niels Provos,
funded by Ericsson Radio Systems AB.  Isakmpd's home is in the
OpenBSD main source tree under src/sbin/isakmpd.  Look at
http://www.openbsd.org/ for details on how to get OpenBSD source.
 

%prep
%setup -q
%patch1 -p1 
%patch3 
cd apps/keyconv
%patch2 

%build
CFLAGS="-I/usr/kerberos/include" KERNEL=%{kernel} make
iconv --from-code LATIN1 --to-code UTF-8 --output isakmpd2.8 isakmpd.8
iconv --from-code LATIN1 --to-code UTF-8 --output isakmpd2.conf.5 isakmpd.conf.5
iconv --from-code LATIN1 --to-code UTF-8 --output isakmpd2.policy.5 isakmpd.policy.5
mv isakmpd2.8 isakmpd.8
mv isakmpd2.conf.5 isakmpd.conf.5
mv isakmpd2.policy.5 isakmpd.policy.5

cd apps/certpatch
gcc -DMP_FLAVOUR=MP_FLAVOUR_GMP -I../.. -I../../sysdep/linux   -I %{kernel} -lcrypto -lgmp certpatch.c -o certpatch

cd ../keyconv
gcc  -I../.. -I../../sysdep/linux   -I %{kernel} -lcrypto -lgmp base64.c keyconv.c -o keyconv

cd ../..

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/etc/ssl
mkdir -p %{buildroot}/etc/isakmpd/ca
mkdir -p %{buildroot}/etc/isakmpd/certs
mkdir -p %{buildroot}/etc/isakmpd/keynote
mkdir -p %{buildroot}/etc/isakmpd/crls
mkdir -p %{buildroot}/etc/isakmpd/private
mkdir -p %{buildroot}/etc/isakmpd/pubkeys
mkdir -p %{buildroot}/usr/share/man/man8
mkdir -p %{buildroot}/usr/share/man/man5
cp isakmpd %{buildroot}/usr/sbin
cp isakmpd.8 %{buildroot}/usr/share/man/man8
cp isakmpd.conf.5 %{buildroot}/usr/share/man/man5
cp isakmpd.policy.5 %{buildroot}/usr/share/man/man5
cp $RPM_SOURCE_DIR/x509v3.cnf %{buildroot}/etc/ssl
cp apps/certpatch/certpatch.8 %{buildroot}/usr/share/man/man8
cp apps/keyconv/keyconv.8 %{buildroot}/usr/share/man/man8

cp apps/certpatch/certpatch %{buildroot}/usr/sbin
cp apps/keyconv/keyconv %{buildroot}/usr/sbin

%post -p /sbin/ldconfig  

%postun -p /sbin/ldconfig 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc QUESTIONS README README.PKI BUGS TO-DO DESIGN-NOTES samples/*
%config %{_sysconfdir}/isakmpd/*
%config %{_sysconfdir}/ssl/*
/usr/sbin/*
%{_mandir}/man8/*
%{_mandir}/man5/*

%changelog
* Wed Aug 13 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Populated isakmpd directory
- added missing man-pages
- converted man-pages to UTF-8

* Tue Aug 12 2003 Ralf Spenneberg <ralf@spenneberg.net>
- First release of RPM-package
